<?php
/*
Plugin Name: Slugs como clases
Description: Añade una clase al body con el slug de la página. Si la página está clasificada con una página superior, también añade una clase con la página padre.
Version: 2.1.0
Author: Christian Cabrero
Author URI: https://www.welovewebs.com/
*/

defined( 'ABSPATH' ) or die( 'No Wordpress kiddies please!' );

add_filter( 'body_class', 'wlw_slug_as_body_class' );

function wlw_slug_as_body_class( $classes ) {
	global $post;

	if( isset( $post ) && is_singular() ) {
		$classes[] = $post->post_type . '-' . $post->post_name;

		//Si la página tiene padre, añade una clase extra
		if(has_post_parent($post)){
			$parent_data = get_post($post->post_parent);
			$classes[] = 'parent-' . $parent_data->post_name;
		}
	}

	return $classes;
}
